Query dimension values
curl --request POST \
--url https://sandbox.tight.com/v6/dimensions/values/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123
}
'import requests
url = "https://sandbox.tight.com/v6/dimensions/values/query"
payload = {
"cursor": "<string>",
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '<string>', limit: 123})
};
fetch('https://sandbox.tight.com/v6/dimensions/values/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": [
{
"id": "dv_936413",
"dimension": {
"id": "tdim_439512",
"rootId": "tdim_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid-Atlantic",
"children": [
{
"id": "dv_936419",
"dimension": {
"id": "tdim_439513",
"rootId": "tdim_439512",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "District of Columbia, DC",
"children": [
{
"id": "dv_936415",
"dimension": {
"id": "tdim_439514",
"rootId": "tdim_439512",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1611 Connecticut Ave",
"children": []
},
{
"id": "dv_936418",
"dimension": {
"id": "tdim_439514",
"rootId": "tdim_439512",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1815 Adams Mill Rd",
"children": []
}
]
},
{
"id": "dv_936420",
"dimension": {
"id": "tdim_439513",
"rootId": "tdim_439512",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Bethesda, MD",
"children": [
{
"id": "dv_936416",
"dimension": {
"id": "tdim_439514",
"rootId": "tdim_439512",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "5511 Cornish Rd",
"children": []
}
]
}
]
},
{
"id": "dv_936414",
"dimension": {
"id": "tdim_439512",
"rootId": "tdim_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Northeast",
"children": [
{
"id": "dv_936421",
"dimension": {
"id": "tdim_439513",
"rootId": "tdim_439512",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Boston, MA",
"children": [
{
"id": "dv_936417",
"dimension": {
"id": "tdim_439514",
"rootId": "tdim_439512",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "123 Atlantic Avenue",
"children": []
}
]
}
]
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
},
"error": []
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Dimensions
Query dimension values
These contain the dimension values that your user tracks against. For example, if you defined a dimension of “Location”, your user could define their dimension values as “NA Branch”, “Asia Branch”, “EU Branch”.
POST
/
v6
/
dimensions
/
values
/
query
Query dimension values
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
Paginated response for dimension values
⌘I